# Set this to the architecture you are building for
# LINUX should hopefully work for all recent versions of Linux (but not ELKS).
ARCH = LINUX
# OPENBSD may work for other BSDs. Please let me know if it does.
# ARCH = OPENBSD
# ARCH = DJGPP
# ARCH = UNKNOWN_LITTLE
# ARCH = UNKNOWN_BIG

# Set this to the directory prefix to use when installing
ifndef PREFIX
PREFIX = /usr
endif

# Set this to the prefix for your compiler if you are cross compiling
CROSS_PREFIX =

# Set to Y to build the tea and untea applets.
BUILD_TEA_UNTEA = Y

# Set to Y to build the tea-kgen applet.
BUILD_TEA_KGEN = Y

# Set to Y to include Huffman coding (compression) support.
BUILD_HUFFMAN = Y

# Set to Y to include Base64 coding (ASCII armour) support.
BUILD_BASE64 = Y

# Set to Y to include password protected key support.
BUILD_PPKEYS = Y

# Set to Y to get verbose error messages which state exactly which command
# line arguments were not recognised instead of just printing a usage message.
VERBOSE_ARGUMENT_ERRORS = N

# Set to Y to build with debugging symbols included (may not work on all
# platforms).
DEBUGGING = N

# Set to Y to build with -pedantic turned on (may not work on all platorms).
PEDANTIC = N

# Set to Y to link statically (may not work on all platforms).
STATIC = N
