Summary: A collection of tiny encryption tools based on the TEA algorithm.
Name: tea-total
Version: 0.4
Release: 1
Copyright: Public domain
Group: Applications/Cryptography
Source: ftp://ftp.linuxhacker.org/pub/tea-total/tea-total-0.4.tar.gz
URL: http://www.linuxhacker.org/tea-total/
BuildRoot: /tmp/rpmbuild_tea-total
Provides: tea untea tea-kgen

%description
TEA Total is a suite of tiny encryption tools which use the TEA (Tiny
Encryption Algorithm) that was created and placed in the public domain by
David Wheeler and Roger Needham of the Cambridge Computer Laboratory.
Currently TEA Total only supports encryption and decryption (with optional
compression) of files and streams, but a suite of network tunneling tools are
being developed.

%prep
rm -fr $RPM_BUILD_ROOT

%setup

%build
make

%install
PREFIX=$RPM_BUILD_ROOT/usr make install

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README INSTALL LICENCE TODO
/usr/man/man1/teatotal.1.gz
/usr/man/man1/tea.1.gz
/usr/man/man1/untea.1.gz
/usr/man/man1/tea-kgen.1.gz
/usr/bin/teatotal
/usr/bin/tea
/usr/bin/untea
/usr/bin/tea-kgen

%changelog
* Thu Dec 28 2000 Alex Holden <alex@linuxhacker.org>
- Created spec file.
